#!/bin/bash
if [ $# -lt 1 ]; then
   echo "Using rainfall files made by wrfgmtplot, creates a single file where each"
   echo " row is a snapshot to be used in flood model. Results on RAIN.txt, COORDS.txt."
   echo "Usage: $0 <dir>"
   echo "       where dir is the directory containing the RAIN.xxx files created by"
   echo "         wrfgmtplot." 
   exit 5
fi

if [ ! -f $1/RAIN.001 ]; then 
   "No file called RAIN.001 !"
   exit 4
fi
rm -f RAIN.txt COORDS.txt
cat $1/RAIN.001|awk '{if (NR>1){print $1, $2}}' > COORDS.txt

for item in `ls $1/RAIN.???`;do 
   head=`head -n1 $item` 
   echo "Doing: " $item $head 
   date=(`echo $head |sed 's/[_-:]/ /g' `) 
   data="`cat $item |awk '{if(NR>1){printf $3; printf " " }}'`"
   echo ${date[1]} ${date[2]}  ${date[3]} ${date[4]} ${date[5]} ${date[6]}"  " $data>> RAIN.txt 
done
